Module org.hdfgroup.hdfview
Package hdf.view.DataView

# Interface DataViewManager

All Known Implementing Classes:
  `HDFView`

public interface DataViewManager
Defines a list of APIs for the main HDFView windows

Version:
  2.4 9/6/2007
Author:
  Peter X. Cao

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDataView​(DataView dataView)`
  Data content is displayed, add the dataview to the main windows
  `DataView`
  `getDataView​(HObject dataObject)`
  Returns DataView that contains the specified data object.
  `TreeView`
  `getTreeView()`
  `void`
  `removeDataView​(DataView dataView)`
  Data content is closed, remove the dataview from the main window
  `void`
  `showError​(String errMsg)`
  Display error message
  `void`
  `showStatus​(String msg)`
  Display feedback message

- ## Method Details

  - ### addDataView

    void addDataView​(DataView dataView)
    Data content is displayed, add the dataview to the main windows
    Parameters:
      `dataView` - the dataView whose presence in the main view is to be added.

  - ### removeDataView

    void removeDataView​(DataView dataView)
    Data content is closed, remove the dataview from the main window
    Parameters:
      `dataView` - the dataView whose presence in the main view is to be removed.

  - ### getDataView

    DataView getDataView​(HObject dataObject)
    Returns DataView that contains the specified data object. It is useful to avoid redundant display of data object that is opened already.
    Parameters:
      `dataObject` - the object whose presence in the main view is to be tested.
    Returns:
      DataView contains the specified data object, null if the data object is not displayed.

  - ### showStatus

    void showStatus​(String msg)
    Display feedback message
    Parameters:
      `msg` - the status message to display

  - ### showError

    void showError​(String errMsg)
    Display error message
    Parameters:
      `errMsg` - the error message to display

  - ### getTreeView

    TreeView getTreeView()
    Returns:
      the current TreeView